Passer au contenu

List user groups

Requête

Returns a paginated list of user groups for the specified organization.

Sécurité
Bearer or PersonalAccessToken
Chemin
organizationIdstring, (uuid)obligatoire

Unique identifier of the organization

Requête
Pageinteger, (int32)

The page number.

PageSizeinteger, (int32)

The number of items per page.

SearchTextstring

Optional free-text filter.

SortingKeystring(UserGroupsSortingKey)

Optional sorting key.

Value:"Name"
Ascendingboolean

Optional sort direction.

GET
/api/v1/organizations/{organizationId}/user-groups
curl -i -X GET \
  '/api/v1/organizations/{organizationId}/user-groups?Page=0&PageSize=0&SearchText=string&SortingKey=Name&Ascending=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Réponses

OK

Corpsapplication/json
userGroupsArray of objects(UserGroupSummary)obligatoire

The list of user groups.

paginationobject(PaginationResponse)obligatoire

Pagination metadata.

Réponse
{ "userGroups": [ { … }, { … } ], "pagination": { "page": 1, "pageSize": 10, "totalCount": 2 } }